REST API Reference
OpenShift Container Platform 3.5 REST API for Developers
Abstract
The OpenShift Container Platform 3.5 distribution of Kubernetes includes the Kubernetes v1 REST API and the OpenShift v1 REST API. These are RESTful APIs accessible via HTTP(s) on the OpenShift Container Platform master servers.
These REST APIs can be used to manage end-user applications, the cluster, and the users of the cluster.
Chapter 1. Overview Copy linkLink copied to clipboard!
The OpenShift Container Platform distribution of Kubernetes includes the Kubernetes v1 REST API and the OpenShift v1 REST API. These are RESTful APIs accessible via HTTP(s) on the OpenShift Container Platform master servers.
These REST APIs can be used to manage end-user applications, the cluster, and the users of the cluster.
1.1. Authentication Copy linkLink copied to clipboard!
API calls must be authenticated with an access token or X.509 certificate. See Authentication in the Architecture documentation for an overview.
This section highlights the token authentication method. With token authentication, a bearer token must be passed in as an HTTP Authorization header. There are two types of access tokens: session and service account.
1.1.1. Session Tokens Copy linkLink copied to clipboard!
A session token is short-lived, expiring within 24 hours by default. It represents a user. After logging in, the session token may be obtained with the oc whoami command:
$ oc login -u test_user
Using project "test".
$ oc whoami --token
dIAo76N-W-GXK3S_w_KsC6DmH3MzP79zq7jbMQvCOUo
1.1.2. Service Account Tokens Copy linkLink copied to clipboard!
Service account tokens are long-lived tokens. They are JSON Web Token (JWT) formatted tokens and are much longer strings than session tokens. See Using a Service Account’s Credentials Externally for steps on using these tokens to authenticate using the CLI.
A service account token may be obtained with these commands:
Create a service account in the current project (test) named robot:
$ oc create serviceaccount robot serviceaccount "robot" createdGrant a role to the service account. In this example, assign the robot service account in the test project the admin role:
$ oc policy add-role-to-user admin system:serviceaccounts:test:robotGet the token value:
$ oc serviceaccounts get-token robot eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJrdWJlcm5ldGVzL3NlcnZpY2VhY2NvdW50Iiwia3ViZXJuZXRlcy5pby9zZXJ2aWNlYWNjb3VudC9uYW1lc3BhY2UiOiJpc3YtY2VydCIsImt1YmVybmV0ZXMuaW8vc2VydmljZWFjY291bnQvc2VjcmV0Lm5hbWUiOiJpbWctYnVpbGQtdG9rZW4teG1rMHciLCJrdWJlcm5ldGVzLmlvL3NlcnZpY2VhY2NvdW50L3NlcnZpY2UtYWNjb3VudC5uYW1lIjoiaW1nLWJ1aWxkIiwia3ViZXJuZXRlcy5pby9zZXJ2aWNlYWNjb3VudC9zZXJ2aWNlLWFjY291bnQudWlkIjoiYTJmNzM0NWMtNDA4Zi0xMWU3LTg1NTktMDAxYTRhZTBkZjQ1Iiwic3ViIjoic3lzdGVtOnNlcnZpY2VhY2NvdW50Omlzdi1jZXJ0OmltZy1idWlsZCJ9.Xt5cc9k7fucc7ZAYqt6cz6WvyDhbCZcfHXH-Ow6vStI4Gy7dS3qxIewcXFw8-h1_wkLRUYvyVVYDCRIIbmWL68ybzY2ND8FyuQwCOWP-2_vFvm8xmpjFURZwuNv-eGULNwzOfrSCIelqM2ImCYcM3tpbnyMPeW_KoSI4LGKxXZZqBIcpa9Xb0Zr225uhpZJ2tb_ItuqdOXPUC0GZdHbpbCI0I-Yu-IudCRBHZZ_2SlAi3vbJcvmjpXHfaz49enR602S8ztXF4gXG4_lXa0fS5QYtB0lnIv9q8HXzxKioG_P3O1yD1HqdLYXhZaMNDyg1Xm-5hAkfQ4A7UMPgK4a2zg
The token value may be used in an authorization header to authenticate API calls, the CLI or in the docker login command. Service accounts may be created and deleted as needed with the appropriate role(s) assigned. See Authorization in the Architecture documentation for a deeper discussion on roles.
1.2. Examples Copy linkLink copied to clipboard!
These examples provide a quick reference for making successful REST API calls. They use insecure methods. In these examples, a simple GET call is made to list available resources.
1.2.1. cURL Copy linkLink copied to clipboard!
Example 1.1. Request (Insecure)
$ curl -X GET -H "Authorization: Bearer <token>" https://openshift.redhat.com:8443/oapi/v1 --insecure
Example 1.2. Result (Truncated)
{
"kind": "APIResourceList",
"groupVersion": "v1",
"resources": [
{
"name": "buildconfigs",
"namespaced": true,
"kind": "BuildConfig"
},
{
"name": "buildconfigs/instantiate",
"namespaced": true,
"kind": "BuildRequest"
},
{
"name": "buildconfigs/instantiatebinary",
"namespaced": true,
"kind": "BinaryBuildRequestOptions"
},
{
"name": "buildconfigs/webhooks",
"namespaced": true,
"kind": "Status"
},
{
"name": "builds",
"namespaced": true,
"kind": "Build"
},
...
{
"name": "subjectaccessreviews",
"namespaced": true,
"kind": "SubjectAccessReview"
},
{
"name": "templates",
"namespaced": true,
"kind": "Template"
},
{
"name": "useridentitymappings",
"namespaced": false,
"kind": "UserIdentityMapping"
},
{
"name": "users",
"namespaced": false,
"kind": "User"
}
]
}
1.2.2. Python Copy linkLink copied to clipboard!
Example 1.3. Interactive Python API Call Using "requests" Module (Insecure)
>>> import requests
>>> url = 'https://openshift.redhat.com:8443/oapi/v1'
>>> headers = {'Authorization': 'Bearer dIAo76N-W-GXK3S_w_KsC6DmH3MzP79zq7jbMQvCOUo'}
>>> requests.get(url, headers=headers, verify=False)
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connectionpool.py:791: InsecureRequestWarning: Unverified HTTPS request is being made. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.org/en/latest/security.html
InsecureRequestWarning)
<Response [200]>
1.2.3. Docker Login Copy linkLink copied to clipboard!
The OpenShift Container Platform integrated Docker registry must be authenticated using either a user session or service account token. The value of the token must be used as the value for the --password argument. The user and email argument values are ignored:
$ docker login -p <token_value> -u unused -e unused <registry>[:<port>]
1.3. Image Signatures Copy linkLink copied to clipboard!
The OpenShift Container Registry allows the users to manipulate the image signatures using its own API. See Accessing Image Signatures Using Registry API for more information.
1.4. Websockets and Watching for Changes Copy linkLink copied to clipboard!
The API is designed to work via the websocket protocol. API requests may take the form of "one-shot" calls to list resources or by passing in query parameter watch=true. When watching an endpoint, changes to the system may be observed through an open endpoint. Using callbacks, dynamic systems may be developed that integrate with the API.
For more information and examples, see the Mozilla Developer Network page on Writing WebSocket client applications.
Chapter 2. OpenShift Container Platform v1 REST API Copy linkLink copied to clipboard!
2.1. Overview Copy linkLink copied to clipboard!
The OpenShift Container Platform API exposes operations for managing an enterprise Kubernetes cluster, including security and user management, application deployments, image and source builds, HTTP(s) routing, and project management.
2.1.1. Version information Copy linkLink copied to clipboard!
Version: v1
2.1.2. URI scheme Copy linkLink copied to clipboard!
Host: 127.0.0.1:8443 BasePath: / Schemes: HTTPS
2.2. Paths Copy linkLink copied to clipboard!
2.2.1. get available resources Copy linkLink copied to clipboard!
GET /oapi/v1
2.2.1.1. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| default | success |
2.2.1.2. Consumes Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.1.3. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.1.4. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.2. list objects of kind AppliedClusterResourceQuota Copy linkLink copied to clipboard!
GET /oapi/v1/appliedclusterresourcequotas
2.2.2.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.2.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.2.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.2.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.2.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.3. list or watch objects of kind BuildConfig Copy linkLink copied to clipboard!
GET /oapi/v1/buildconfigs
2.2.3.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.3.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.3.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.3.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.3.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.4. create a BuildConfig Copy linkLink copied to clipboard!
POST /oapi/v1/buildconfigs
2.2.4.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.4.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.4.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.4.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.4.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.5. list or watch objects of kind Build Copy linkLink copied to clipboard!
GET /oapi/v1/builds
2.2.5.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.5.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.5.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.5.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.5.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.6. create a Build Copy linkLink copied to clipboard!
POST /oapi/v1/builds
2.2.6.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.6.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.6.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.6.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.6.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.7. delete collection of ClusterNetwork Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusternetworks
2.2.7.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.7.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.7.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.7.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.7.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.8. list or watch objects of kind ClusterNetwork Copy linkLink copied to clipboard!
GET /oapi/v1/clusternetworks
2.2.8.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.8.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.8.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.8.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.8.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.9. create a ClusterNetwork Copy linkLink copied to clipboard!
POST /oapi/v1/clusternetworks
2.2.9.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.9.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.9.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.9.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.9.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.10. delete a ClusterNetwork Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusternetworks/{name}
2.2.10.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the ClusterNetwork | true | string |
2.2.10.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.10.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.10.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.10.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.11. replace the specified ClusterNetwork Copy linkLink copied to clipboard!
PUT /oapi/v1/clusternetworks/{name}
2.2.11.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterNetwork | true | string |
2.2.11.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.11.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.11.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.11.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.12. read the specified ClusterNetwork Copy linkLink copied to clipboard!
GET /oapi/v1/clusternetworks/{name}
2.2.12.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | export | Should this value be exported. Export strips fields that a user can not specify. | false | boolean | |
| QueryParameter | exact | Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace' | false | boolean | |
| PathParameter | name | name of the ClusterNetwork | true | string |
2.2.12.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.12.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.12.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.12.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.13. partially update the specified ClusterNetwork Copy linkLink copied to clipboard!
PATCH /oapi/v1/clusternetworks/{name}
2.2.13.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterNetwork | true | string |
2.2.13.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.13.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.13.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.13.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.14. delete collection of ClusterPolicy Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusterpolicies
2.2.14.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.14.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.14.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.14.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.14.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.15. list or watch objects of kind ClusterPolicy Copy linkLink copied to clipboard!
GET /oapi/v1/clusterpolicies
2.2.15.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.15.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.15.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.15.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.15.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.16. create a ClusterPolicy Copy linkLink copied to clipboard!
POST /oapi/v1/clusterpolicies
2.2.16.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.16.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.16.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.16.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.16.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.17. delete a ClusterPolicy Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusterpolicies/{name}
2.2.17.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the ClusterPolicy | true | string |
2.2.17.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.17.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.17.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.17.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.18. replace the specified ClusterPolicy Copy linkLink copied to clipboard!
PUT /oapi/v1/clusterpolicies/{name}
2.2.18.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicy | true | string |
2.2.18.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.18.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.18.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.18.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.19. read the specified ClusterPolicy Copy linkLink copied to clipboard!
GET /oapi/v1/clusterpolicies/{name}
2.2.19.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | export | Should this value be exported. Export strips fields that a user can not specify. | false | boolean | |
| QueryParameter | exact | Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace' | false | boolean | |
| PathParameter | name | name of the ClusterPolicy | true | string |
2.2.19.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.19.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.19.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.19.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.20. partially update the specified ClusterPolicy Copy linkLink copied to clipboard!
PATCH /oapi/v1/clusterpolicies/{name}
2.2.20.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicy | true | string |
2.2.20.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.20.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.20.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.20.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.21. delete collection of ClusterPolicyBinding Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusterpolicybindings
2.2.21.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.21.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.21.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.21.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.21.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.22. list or watch objects of kind ClusterPolicyBinding Copy linkLink copied to clipboard!
GET /oapi/v1/clusterpolicybindings
2.2.22.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.22.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.22.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.22.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.22.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.23. create a ClusterPolicyBinding Copy linkLink copied to clipboard!
POST /oapi/v1/clusterpolicybindings
2.2.23.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.23.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.23.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.23.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.23.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.24. delete a ClusterPolicyBinding Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusterpolicybindings/{name}
2.2.24.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the ClusterPolicyBinding | true | string |
2.2.24.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.24.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.24.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.24.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.25. replace the specified ClusterPolicyBinding Copy linkLink copied to clipboard!
PUT /oapi/v1/clusterpolicybindings/{name}
2.2.25.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicyBinding | true | string |
2.2.25.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.25.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.25.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.25.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.26. read the specified ClusterPolicyBinding Copy linkLink copied to clipboard!
GET /oapi/v1/clusterpolicybindings/{name}
2.2.26.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | export | Should this value be exported. Export strips fields that a user can not specify. | false | boolean | |
| QueryParameter | exact | Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace' | false | boolean | |
| PathParameter | name | name of the ClusterPolicyBinding | true | string |
2.2.26.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.26.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.26.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.26.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.27. partially update the specified ClusterPolicyBinding Copy linkLink copied to clipboard!
PATCH /oapi/v1/clusterpolicybindings/{name}
2.2.27.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterPolicyBinding | true | string |
2.2.27.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.27.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.27.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.27.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.28. delete collection of ClusterResourceQuota Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusterresourcequotas
2.2.28.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.28.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.28.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.28.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.28.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.29. list or watch objects of kind ClusterResourceQuota Copy linkLink copied to clipboard!
GET /oapi/v1/clusterresourcequotas
2.2.29.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.29.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.29.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.29.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.29.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.30. create a ClusterResourceQuota Copy linkLink copied to clipboard!
POST /oapi/v1/clusterresourcequotas
2.2.30.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.30.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.30.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.30.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.30.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.31. delete a ClusterResourceQuota Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusterresourcequotas/{name}
2.2.31.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the ClusterResourceQuota | true | string |
2.2.31.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.31.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.31.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.31.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.32. replace the specified ClusterResourceQuota Copy linkLink copied to clipboard!
PUT /oapi/v1/clusterresourcequotas/{name}
2.2.32.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterResourceQuota | true | string |
2.2.32.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.32.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.32.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.32.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.33. read the specified ClusterResourceQuota Copy linkLink copied to clipboard!
GET /oapi/v1/clusterresourcequotas/{name}
2.2.33.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | export | Should this value be exported. Export strips fields that a user can not specify. | false | boolean | |
| QueryParameter | exact | Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace' | false | boolean | |
| PathParameter | name | name of the ClusterResourceQuota | true | string |
2.2.33.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.33.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.33.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.33.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.34. partially update the specified ClusterResourceQuota Copy linkLink copied to clipboard!
PATCH /oapi/v1/clusterresourcequotas/{name}
2.2.34.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterResourceQuota | true | string |
2.2.34.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.34.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.34.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.34.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.35. replace status of the specified ClusterResourceQuota Copy linkLink copied to clipboard!
PUT /oapi/v1/clusterresourcequotas/{name}/status
2.2.35.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterResourceQuota | true | string |
2.2.35.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.35.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.35.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.35.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.36. read status of the specified ClusterResourceQuota Copy linkLink copied to clipboard!
GET /oapi/v1/clusterresourcequotas/{name}/status
2.2.36.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ClusterResourceQuota | true | string |
2.2.36.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.36.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.36.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.36.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.37. partially update status of the specified ClusterResourceQuota Copy linkLink copied to clipboard!
PATCH /oapi/v1/clusterresourcequotas/{name}/status
2.2.37.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterResourceQuota | true | string |
2.2.37.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.37.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.37.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.37.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.38. list objects of kind ClusterRoleBinding Copy linkLink copied to clipboard!
GET /oapi/v1/clusterrolebindings
2.2.38.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.38.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.38.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.38.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.38.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.39. create a ClusterRoleBinding Copy linkLink copied to clipboard!
POST /oapi/v1/clusterrolebindings
2.2.39.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.39.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.39.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.39.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.39.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.40. delete a ClusterRoleBinding Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusterrolebindings/{name}
2.2.40.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the ClusterRoleBinding | true | string |
2.2.40.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.40.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.40.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.40.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.41. replace the specified ClusterRoleBinding Copy linkLink copied to clipboard!
PUT /oapi/v1/clusterrolebindings/{name}
2.2.41.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRoleBinding | true | string |
2.2.41.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.41.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.41.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.41.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.42. read the specified ClusterRoleBinding Copy linkLink copied to clipboard!
GET /oapi/v1/clusterrolebindings/{name}
2.2.42.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ClusterRoleBinding | true | string |
2.2.42.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.42.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.42.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.42.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.43. partially update the specified ClusterRoleBinding Copy linkLink copied to clipboard!
PATCH /oapi/v1/clusterrolebindings/{name}
2.2.43.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRoleBinding | true | string |
2.2.43.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.43.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.43.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.43.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.44. list objects of kind ClusterRole Copy linkLink copied to clipboard!
GET /oapi/v1/clusterroles
2.2.44.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.44.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.44.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.44.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.44.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.45. create a ClusterRole Copy linkLink copied to clipboard!
POST /oapi/v1/clusterroles
2.2.45.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.45.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.45.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.45.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.45.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.46. delete a ClusterRole Copy linkLink copied to clipboard!
DELETE /oapi/v1/clusterroles/{name}
2.2.46.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the ClusterRole | true | string |
2.2.46.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.46.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.46.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.46.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.47. replace the specified ClusterRole Copy linkLink copied to clipboard!
PUT /oapi/v1/clusterroles/{name}
2.2.47.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRole | true | string |
2.2.47.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.47.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.47.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.47.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.48. read the specified ClusterRole Copy linkLink copied to clipboard!
GET /oapi/v1/clusterroles/{name}
2.2.48.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ClusterRole | true | string |
2.2.48.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.48.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.48.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.48.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.49. partially update the specified ClusterRole Copy linkLink copied to clipboard!
PATCH /oapi/v1/clusterroles/{name}
2.2.49.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the ClusterRole | true | string |
2.2.49.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.49.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.49.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.49.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.50. create a DeploymentConfigRollback Copy linkLink copied to clipboard!
POST /oapi/v1/deploymentconfigrollbacks
2.2.50.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.50.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.50.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.50.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.50.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.51. list or watch objects of kind DeploymentConfig Copy linkLink copied to clipboard!
GET /oapi/v1/deploymentconfigs
2.2.51.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.51.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.51.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.51.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.51.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.52. create a DeploymentConfig Copy linkLink copied to clipboard!
POST /oapi/v1/deploymentconfigs
2.2.52.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.52.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.52.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.52.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.52.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.53. list or watch objects of kind EgressNetworkPolicy Copy linkLink copied to clipboard!
GET /oapi/v1/egressnetworkpolicies
2.2.53.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.53.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.53.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.53.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.53.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.54. create an EgressNetworkPolicy Copy linkLink copied to clipboard!
POST /oapi/v1/egressnetworkpolicies
2.2.54.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.54.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.54.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.54.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.54.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.55. delete collection of Group Copy linkLink copied to clipboard!
DELETE /oapi/v1/groups
2.2.55.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.55.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.55.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.55.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.55.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.56. list or watch objects of kind Group Copy linkLink copied to clipboard!
GET /oapi/v1/groups
2.2.56.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.56.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.56.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.56.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.56.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.57. create a Group Copy linkLink copied to clipboard!
POST /oapi/v1/groups
2.2.57.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.57.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.57.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.57.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.57.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.58. delete a Group Copy linkLink copied to clipboard!
DELETE /oapi/v1/groups/{name}
2.2.58.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the Group | true | string |
2.2.58.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.58.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.58.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.58.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.59. replace the specified Group Copy linkLink copied to clipboard!
PUT /oapi/v1/groups/{name}
2.2.59.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Group | true | string |
2.2.59.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.59.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.59.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.59.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.60. read the specified Group Copy linkLink copied to clipboard!
GET /oapi/v1/groups/{name}
2.2.60.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | export | Should this value be exported. Export strips fields that a user can not specify. | false | boolean | |
| QueryParameter | exact | Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace' | false | boolean | |
| PathParameter | name | name of the Group | true | string |
2.2.60.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.60.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.60.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.60.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.61. partially update the specified Group Copy linkLink copied to clipboard!
PATCH /oapi/v1/groups/{name}
2.2.61.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Group | true | string |
2.2.61.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.61.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.61.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.61.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.62. delete collection of HostSubnet Copy linkLink copied to clipboard!
DELETE /oapi/v1/hostsubnets
2.2.62.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.62.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.62.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.62.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.62.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.63. list or watch objects of kind HostSubnet Copy linkLink copied to clipboard!
GET /oapi/v1/hostsubnets
2.2.63.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.63.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.63.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.63.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.63.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.64. create a HostSubnet Copy linkLink copied to clipboard!
POST /oapi/v1/hostsubnets
2.2.64.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.64.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.64.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.64.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.64.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.65. delete a HostSubnet Copy linkLink copied to clipboard!
DELETE /oapi/v1/hostsubnets/{name}
2.2.65.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the HostSubnet | true | string |
2.2.65.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.65.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.65.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.65.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.66. replace the specified HostSubnet Copy linkLink copied to clipboard!
PUT /oapi/v1/hostsubnets/{name}
2.2.66.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the HostSubnet | true | string |
2.2.66.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.66.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.66.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.66.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.67. read the specified HostSubnet Copy linkLink copied to clipboard!
GET /oapi/v1/hostsubnets/{name}
2.2.67.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | export | Should this value be exported. Export strips fields that a user can not specify. | false | boolean | |
| QueryParameter | exact | Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace' | false | boolean | |
| PathParameter | name | name of the HostSubnet | true | string |
2.2.67.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.67.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.67.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.67.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.68. partially update the specified HostSubnet Copy linkLink copied to clipboard!
PATCH /oapi/v1/hostsubnets/{name}
2.2.68.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the HostSubnet | true | string |
2.2.68.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.68.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.68.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.68.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.69. delete collection of Identity Copy linkLink copied to clipboard!
DELETE /oapi/v1/identities
2.2.69.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.69.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.69.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.69.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.69.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.70. list or watch objects of kind Identity Copy linkLink copied to clipboard!
GET /oapi/v1/identities
2.2.70.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.70.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.70.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.70.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.70.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.71. create an Identity Copy linkLink copied to clipboard!
POST /oapi/v1/identities
2.2.71.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.71.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.71.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.71.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.71.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.72. delete an Identity Copy linkLink copied to clipboard!
DELETE /oapi/v1/identities/{name}
2.2.72.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the Identity | true | string |
2.2.72.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.72.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.72.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.72.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.73. replace the specified Identity Copy linkLink copied to clipboard!
PUT /oapi/v1/identities/{name}
2.2.73.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Identity | true | string |
2.2.73.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.73.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.73.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.73.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.74. read the specified Identity Copy linkLink copied to clipboard!
GET /oapi/v1/identities/{name}
2.2.74.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | export | Should this value be exported. Export strips fields that a user can not specify. | false | boolean | |
| QueryParameter | exact | Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace' | false | boolean | |
| PathParameter | name | name of the Identity | true | string |
2.2.74.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.74.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.74.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.74.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.75. partially update the specified Identity Copy linkLink copied to clipboard!
PATCH /oapi/v1/identities/{name}
2.2.75.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Identity | true | string |
2.2.75.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.75.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.75.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.75.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.76. delete collection of Image Copy linkLink copied to clipboard!
DELETE /oapi/v1/images
2.2.76.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.76.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.76.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.76.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.76.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.77. list or watch objects of kind Image Copy linkLink copied to clipboard!
GET /oapi/v1/images
2.2.77.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | labelSelector | A selector to restrict the list of returned objects by their labels. Defaults to everything. | false | string | |
| QueryParameter | fieldSelector | A selector to restrict the list of returned objects by their fields. Defaults to everything. | false | string | |
| QueryParameter | watch | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. | false | boolean | |
| QueryParameter | resourceVersion | When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. | false | string | |
| QueryParameter | timeoutSeconds | Timeout for the list/watch call. | false | integer |
2.2.77.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.77.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.77.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
- application/json;stream=watch
- application/vnd.kubernetes.protobuf;stream=watch
2.2.77.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.78. create an Image Copy linkLink copied to clipboard!
POST /oapi/v1/images
2.2.78.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.78.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.78.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.78.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.78.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.79. delete an Image Copy linkLink copied to clipboard!
DELETE /oapi/v1/images/{name}
2.2.79.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| QueryParameter | gracePeriodSeconds | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. | false | integer | |
| QueryParameter | orphanDependents | Should the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added to/removed from the object’s finalizers list. | false | boolean | |
| PathParameter | name | name of the Image | true | string |
2.2.79.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.79.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.79.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.79.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.80. replace the specified Image Copy linkLink copied to clipboard!
PUT /oapi/v1/images/{name}
2.2.80.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Image | true | string |
2.2.80.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.80.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.80.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.80.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.81. read the specified Image Copy linkLink copied to clipboard!
GET /oapi/v1/images/{name}
2.2.81.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| QueryParameter | export | Should this value be exported. Export strips fields that a user can not specify. | false | boolean | |
| QueryParameter | exact | Should the export be exact. Exact export maintains cluster-specific fields like 'Namespace' | false | boolean | |
| PathParameter | name | name of the Image | true | string |
2.2.81.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.81.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.81.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.81.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.82. partially update the specified Image Copy linkLink copied to clipboard!
PATCH /oapi/v1/images/{name}
2.2.82.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true | |||
| PathParameter | name | name of the Image | true | string |
2.2.82.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.82.3. Consumes Copy linkLink copied to clipboard!
- application/json-patch+json
- application/merge-patch+json
- application/strategic-merge-patch+json
2.2.82.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.82.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.83. create an ImageSignature Copy linkLink copied to clipboard!
POST /oapi/v1/imagesignatures
2.2.83.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| BodyParameter | body | true |
2.2.83.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.83.3. Consumes Copy linkLink copied to clipboard!
- /
2.2.83.4. Produces Copy linkLink copied to clipboard!
- application/json
- application/yaml
- application/vnd.kubernetes.protobuf
2.2.83.5. Tags Copy linkLink copied to clipboard!
- oapiv1
2.2.84. delete an ImageSignature Copy linkLink copied to clipboard!
DELETE /oapi/v1/imagesignatures/{name}
2.2.84.1. Parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Required | Schema | Default |
|---|---|---|---|---|---|
| QueryParameter | pretty | If 'true', then the output is pretty printed. | false | string | |
| PathParameter | name | name of the ImageSignature | true | string |
2.2.84.2. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | success |
2.2.84.3. Consumes Copy linkLink copied to clipboard!
[...]
